package com.company.trytoshowimage.view.pictures;

import com.company.trytoshowimage.entity.Pictures;

import com.company.trytoshowimage.view.main.MainView;

import com.vaadin.flow.component.grid.ItemClickEvent;
import com.vaadin.flow.router.Route;
import io.jmix.core.DataManager;
import io.jmix.flowui.model.InstanceContainer;
import io.jmix.flowui.model.InstanceLoader;
import io.jmix.flowui.view.*;
import org.springframework.beans.factory.annotation.Autowired;

@Route(value = "pictureses", layout = MainView.class)
@ViewController("Pictures.list")
@ViewDescriptor("pictures-list-view.xml")
@LookupComponent("picturesesDataGrid")
@DialogMode(width = "64em")
public class PicturesListView extends StandardListView<Pictures> {
    @ViewComponent
    private InstanceLoader<Pictures> pictureImageDl;
    @Autowired
    private DataManager dataManager;

    @Subscribe
    public void onBeforeShow(final BeforeShowEvent event) {
        pictureImageDl.setParameter("name", "picture1");
        pictureImageDl.load();
        System.out.println("load1");
    }
    
    
    
    
    @Subscribe(id = "picturesesDc", target = Target.DATA_CONTAINER)
    public void onPicturesesDcItemChange(final InstanceContainer.ItemChangeEvent<Pictures> event) {
        Pictures pic = event.getItem();
        pictureImageDl.setParameter("name", pic.getName());
        pictureImageDl.load();
        System.out.println("load2");

    }

    
}